import { defineComponent as l, computed as n, openBlock as a, createElementBlock as s, mergeProps as u, createElementVNode as o, toDisplayString as d } from "vue";
import { _ as g } from "./index-D6kO24sZ.js";
const m = ["xlink:href"], p = /* @__PURE__ */ l({
  __name: "SvgIconCopy",
  props: {
    name: {
      type: String,
      required: !0
    },
    title: {
      type: String,
      required: !1
    },
    color: {
      type: String,
      default: ""
    },
    width: {
      type: String,
      default: "16px"
    },
    height: {
      type: String,
      default: "16px"
    }
  },
  setup(e) {
    const t = e, r = n(() => `#icon-${t.name}`), i = n(() => t.name ? `svg-icon icon-${t.name}` : "svg-icon");
    return (c, f) => (a(), s("svg", u({ class: i.value }, c.$attrs, {
      style: { color: e.color, width: e.width, height: e.height }
    }), [
      o("title", null, d(e.title), 1),
      o("use", { "xlink:href": r.value }, null, 8, m)
    ], 16));
  }
}), y = /* @__PURE__ */ g(p, [["__scopeId", "data-v-e64d7365"]]);
export {
  y as default
};
